// offscreen.js 2025/11/17, chromium manifest v3
// for HoreRisu V3.7, Tonchinkan Office (C)2011-2025, All Rights Reserved
// https://www.tonchinkan.biz/

chrome.runtime.onMessage.addListener(message => {
  // When received
  if (message.target === 'offscreen') {
    // launch HoreRisu
    window.open('horerisu:' + message.data, '_blank');
  }
});
